Subject: Re: R: Cygwin 1.7.7 fork/exec performance MUCH slower than 1.5.25
From: Marco Atzeri <[email-masked]>
To: SZABÓ Gergely <[email-masked]>
Cc: [email-masked]
Date: Fri, 1 Oct 2010 07:16:31 +0000 (GMT)
List-Id: <cygwin.cygwin.com>

--- Ven 1/10/10, SZABÓ Gergely  ha scritto:

> Ciao Marco,
> 
> I do not think a real /home would help, as I have several
> colleagues who
> have a real /home, but still have similar slow performance
> with cygwin
> 1.7.x. 
> 
> What kind of ACL issue could this be? And why is it no
> problem for
> Cygwin 1.5.25? Anything to do with the new cyglsa.dll?
> 
> The funny thing is, The sum of the sys and user times for
> the "fork"
> script is around 1 minute. What happens in the remaining 3
> minutes, to
> make up that terrible time over 4 min?
> 
> If I am watching the Windows Task Manager during the
> execution of the
> "fork" script, I see that the process "System" eats more
> than 50% of the
> CPU all the time. 

Antivirus ?
Some time on my system with McAfee, when I create a
huge number of files with cygwin the process "explorer.exe" 
go to 50% (100% of 1 CPU)and I need to kill it. 
I guess there is a timing problem between the antivirus
and cygwin-1.7.

> 
> Best regards
> Gergely
> 
> P.S: this is all Win32 (not x64) as you can see from the
> cygcheck
> files...
> 

also here is Win32 XP SP2, and there is no difference in timing

Marco

PS: cygwin B15 and B20 ? How old is your PC :-?

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple